'use strict';

var ImageFactory =  angular.module('images.factory', [
]).factory('ImageFactory', [
    'Common',
    function(Common) {

        function Image(data) {
            var self = this;
            if (data) angular.extend(this, data);
         
            this.PublishedOn = new Date(this.PublishedOn);

        }
        
        var create = function(data) {
            return new Image(data);
        };

        return {
            create: create
        };
    }
]);